package domain

type AlibabaWdkMarketingFullrangeQueryactivityMarketResult struct {
	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回活动信息     */
	Data *AlibabaWdkMarketingFullrangeQueryactivityItemPoolActivity `json:"data,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeQueryactivityMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingFullrangeQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryactivityMarketResult) SetData(v AlibabaWdkMarketingFullrangeQueryactivityItemPoolActivity) *AlibabaWdkMarketingFullrangeQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryactivityMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingFullrangeQueryactivityMarketResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryactivityMarketResult) SetMessage(v string) *AlibabaWdkMarketingFullrangeQueryactivityMarketResult {
	s.Message = &v
	return s
}
